package com.example.kdan_data_center.datacenter.folder.body


data class SyncFolderBody(
        val last_sync_time: String,
        val architecture_infos: List<ArchitectureInfo>
) {

    open class ArchitectureInfo(
            val updated_at: String,
            val depth: Int
    )

    class ArchitectureInfoNewFolder(
            updated_at: String,
            depth: Int,
            val cur_name: String,
            val cur_parent_id: Int?,
            val cur_path: String?
    ) : ArchitectureInfo(updated_at, depth)

    class ArchitectureInfoMoveFolder(
            updated_at: String,
            depth: Int,
            val folder_id: Int,
            val prev_parent_id: Int,
            val cur_parent_id: Int?,
            val cur_path: String?
    ) : ArchitectureInfo(updated_at, depth)

    class ArchitectureInfoRenameFolder(
            updated_at: String,
            depth: Int,
            val folder_id: Int,
            val prev_name: String,
            val cur_name: String
    ) : ArchitectureInfo(updated_at, depth)
}